# https://github.com/dmacvicar/terraform-provider-libvirt/blob/master/website/docs/r/network.markdown

resource "libvirt_network" "private_network" {
  name   = "private"
  mode   = "bridge" # "nat"
  bridge = "br0"    # only for bridge mode
  # domain    = "network.local" # only for nat mode
  # addresses = [var.ip] # only for nat mode
  autostart = true
  dhcp {
    enabled = true
  }
  dns {
    enabled    = true
    local_only = true
    forwarders {
      address = var.dns_address
    }
  }
}
